javax.faces.event

## Class PhaseId

- java.lang.Object
- - javax.faces.event.PhaseId

- All Implemented Interfaces:
    Comparable

      public class PhaseId
      extends Object
      implements Comparable

  Typesafe enumeration of the legal values that may be returned by the `getPhaseId()` method of the `FacesEvent` interface.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PhaseId` | `ANY_PHASE` Identifier that indicates an interest in events, no matter which request processing phase is being performed.
    `static PhaseId` | `APPLY_REQUEST_VALUES` Identifier that indicates an interest in events queued for the Apply Request Values phase of the request processing lifecycle.
    `static PhaseId` | `INVOKE_APPLICATION` Identifier that indicates an interest in events queued for the Invoke Application phase of the request processing lifecycle.
    `static PhaseId` | `PROCESS_VALIDATIONS` Identifier that indicates an interest in events queued for the Process Validations phase of the request processing lifecycle.
    `static PhaseId` | `RENDER_RESPONSE` Identifier for the Render Response phase of the request processing lifecycle.
    `static PhaseId` | `RESTORE_VIEW` Identifier that indicates an interest in events queued for the Restore View phase of the request processing lifecycle.
    `static PhaseId` | `UPDATE_MODEL_VALUES` Identifier that indicates an interest in events queued for the Update Model Values phase of the request processing lifecycle.
    `static List<PhaseId>` | `VALUES` List of valid `PhaseId` instances, in ascending order of their ordinal value.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Object other)` Compare this `PhaseId` instance to the specified one.
    `String` | `getName()` Return the name of this phase.
    `int` | `getOrdinal()` Return the ordinal value of this `PhaseId` instance.
    `static PhaseId` | `phaseIdValueOf(String phase)` Return a `PhaseId` representation of the arcument `phase`.
    `String` | `toString()` Return a String representation of this `PhaseId` instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ANY_PHASE

          public static final PhaseId ANY_PHASE

      Identifier that indicates an interest in events, no matter which request processing phase is being performed.

    - #### RESTORE_VIEW

          public static final PhaseId RESTORE_VIEW

      Identifier that indicates an interest in events queued for the Restore View phase of the request processing lifecycle.

    - #### APPLY_REQUEST_VALUES

          public static final PhaseId APPLY_REQUEST_VALUES

      Identifier that indicates an interest in events queued for the Apply Request Values phase of the request processing lifecycle.

    - #### PROCESS_VALIDATIONS

          public static final PhaseId PROCESS_VALIDATIONS

      Identifier that indicates an interest in events queued for the Process Validations phase of the request processing lifecycle.

    - #### UPDATE_MODEL_VALUES

          public static final PhaseId UPDATE_MODEL_VALUES

      Identifier that indicates an interest in events queued for the Update Model Values phase of the request processing lifecycle.

    - #### INVOKE_APPLICATION

          public static final PhaseId INVOKE_APPLICATION

      Identifier that indicates an interest in events queued for the Invoke Application phase of the request processing lifecycle.

    - #### RENDER_RESPONSE

          public static final PhaseId RENDER_RESPONSE

      Identifier for the Render Response phase of the request processing lifecycle.

    - #### VALUES

          public static final List<PhaseId> VALUES

      List of valid `PhaseId` instances, in ascending order of their ordinal value.

  - ### Method Detail

    - #### compareTo

          public int compareTo(Object other)

      Compare this `PhaseId` instance to the specified one. Returns a negative integer, zero, or a positive integer if this object is less than, equal to, or greater than the specified object.

      Specified by:
        `compareTo` in interface `Comparable`
      Parameters:
        `other` - The other object to be compared to

    - #### getOrdinal

          public int getOrdinal()

      Return the ordinal value of this `PhaseId` instance.

    - #### toString

          public String toString()

      Return a String representation of this `PhaseId` instance.

      Overrides:
        `toString` in class `Object`

    - #### getName

          public String getName()

      Return the name of this phase.

      Since:
        2.2

    - #### phaseIdValueOf

          public static PhaseId phaseIdValueOf(String phase)

      Return a `PhaseId` representation of the arcument `phase`.

      Parameters:
        `phase` - the String for which the corresponding `PhaseId` should be returned.
      Throws:
        ``NullPointerException`` - if argument `phase` is `null`.
        ``FacesException`` - if the `PhaseId` corresponding to the argument `phase` cannot be found.
      Since:
        2.2

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.